Index: trunk/SophyaLib/SkyT/blackbody.cc
===================================================================
--- trunk/SophyaLib/SkyT/blackbody.cc	(revision 907)
+++ trunk/SophyaLib/SkyT/blackbody.cc	(revision 909)
@@ -1,5 +1,5 @@
 //--------------------------------------------------------------------------
 // File and Version Information:
-//      $Id: blackbody.cc,v 1.4 1999-11-29 16:59:09 ansari Exp $
+//      $Id: blackbody.cc,v 1.5 2000-04-13 14:10:43 ansari Exp $
 //
 // Description:
@@ -20,7 +20,13 @@
 #include "blackbody.h"
 
+/*! 
+ * \class SOPHYA::BlackBody <BR>
+ This class corresponds to the emission spectrum of a
+ blackbody radiation.
+ */
 //----------------
 // Constructor --
 //----------------
+/*! Constructor: needs a temperature. Otherwise set to ConvTools::tcmb */
 BlackBody::BlackBody(double temperature)
   : RadSpectra(10., 10000.)
@@ -33,6 +39,9 @@
 {
 }
-
-
+/*! Black Body Flux Function:
+  \f[
+  I_\nu = {2 h_{pl} (1.10^9*\nu)^3 \over c^2 (e^{{h_{pl}(1.10^9*\nu) \over kT}} -1)}
+  \f]
+*/
 double
 BlackBody::flux(double nu) const
Index: trunk/SophyaLib/SkyT/derivblackbody.cc
===================================================================
--- trunk/SophyaLib/SkyT/derivblackbody.cc	(revision 907)
+++ trunk/SophyaLib/SkyT/derivblackbody.cc	(revision 909)
@@ -1,5 +1,5 @@
 //--------------------------------------------------------------------------
 // File and Version Information:
-//      $Id: derivblackbody.cc,v 1.2 2000-04-12 10:24:52 ansari Exp $
+//      $Id: derivblackbody.cc,v 1.3 2000-04-13 14:10:44 ansari Exp $
 //
 // Description:
@@ -20,7 +20,13 @@
 #include "derivblackbody.h"
 
-//----------------
-// Constructor --
-//----------------
+
+
+/*! \class SOPHYA::DerivBlackBody <BR>
+ * This class corresponds to the emission spectrum of a
+ * dipole (since its emission spectrum is the derivation
+ * of a blackbody spectrum wrt the temperature).
+ */
+
+/*! Constructor: needs a temperature. Otherwise set to ConvTools::tcmb */
 DerivBlackBody::DerivBlackBody(double temperature)
   : RadSpectra(10., 10000.)
@@ -34,5 +40,12 @@
 }
 
-
+/*!
+  The flux function is the derivation of the BlackBody
+  flux function wrt the temperature (used e.g. for a Dipole)
+  \f[
+  I_\nu = {2 h_{pl} (1.10^9*\nu)^3  {h_{pl}1.10^9*\nu \over k T^2}
+        {e^{{h_{pl}(1.10^9*\nu) \over kT}}\over c^2 (e^{{h_{pl}(1.10^9*\nu) \over kT}} -1)^2}}
+  \f]
+*/
 double
 DerivBlackBody::flux(double nu) const
Index: trunk/SophyaLib/SkyT/gaussfilt.cc
===================================================================
--- trunk/SophyaLib/SkyT/gaussfilt.cc	(revision 907)
+++ trunk/SophyaLib/SkyT/gaussfilt.cc	(revision 909)
@@ -1,5 +1,5 @@
 //--------------------------------------------------------------------------
 // File and Version Information:
-//      $Id: gaussfilt.cc,v 1.4 1999-11-29 14:16:04 ansari Exp $
+//      $Id: gaussfilt.cc,v 1.5 2000-04-13 14:10:44 ansari Exp $
 //
 // Description:
@@ -19,7 +19,8 @@
 #include "gaussfilt.h"
 
-//----------------
-// Constructor --
-//----------------
+/*! 
+ * \class SOPHYA::GaussianFilter
+ * Gaussian detector response
+ */
 GaussianFilter::GaussianFilter()
   : SpectralResponse()
@@ -28,4 +29,7 @@
 }
 
+/*! Constructor: the parameters correspond to the function defined in the 
+  <a href="#gausseq"> equation </a> below 
+*/
 GaussianFilter::GaussianFilter(double nu0, double s, double a, double numin, double numax)
   : SpectralResponse(numin, numax)
@@ -46,4 +50,10 @@
 //              ---------------------------
 
+/*! The transmission function is the wel known gaussian:
+  <a name="gausseq"> </a>
+  \f[
+  \hbox{transmission}= A  e^{-{({\nu-\nu_0\over s})^2}};
+  \f]
+*/
 
 double 
Index: trunk/SophyaLib/SkyT/nupower.cc
===================================================================
--- trunk/SophyaLib/SkyT/nupower.cc	(revision 907)
+++ trunk/SophyaLib/SkyT/nupower.cc	(revision 909)
@@ -1,5 +1,5 @@
 //--------------------------------------------------------------------------
 // File and Version Information:
-//      $Id: nupower.cc,v 1.5 1999-11-29 16:59:10 ansari Exp $
+//      $Id: nupower.cc,v 1.6 2000-04-13 14:10:44 ansari Exp $
 //
 // Description:
@@ -21,16 +21,24 @@
 #include "nupower.h"
 
-//----------------
-// Constructor --
-//----------------
+
+/*! 
+ * \class SOPHYA::PowerLawSpectra <BR>
+ * This class corresponds to a power law radiation spectrum.
+*/
 PowerLawSpectra::PowerLawSpectra()
 {
 }
-
-PowerLawSpectra::PowerLawSpectra(double a, double b, double nu0, double dnu, double numin, double numax)
+/*! Constructor: The arguments corresponds to the Power Law Spectrum
+  equation:
+<a name="psldef"> </a>
+\f[
+\hbox{flux}(\nu) = A ({\nu-\nu_0\over \delta\nu})^B
+\f]
+*/
+PowerLawSpectra::PowerLawSpectra(double A, double B, double nu0, double dnu, double numin, double numax)
   : RadSpectra(numin, numax)
 {
-  _a = a;
-  _b = b;
+  _a = A;
+  _b = B;
   _nu0 = nu0;
   _dnu = (dnu > 1.e-19) ? dnu : 1.;
@@ -41,5 +49,6 @@
 {
 }
-
+/*! Flux function according to the <a href="#psldef"> above </a>
+ equation */
 double
 PowerLawSpectra::flux(double nu) const
Index: trunk/SophyaLib/SkyT/radspec.cc
===================================================================
--- trunk/SophyaLib/SkyT/radspec.cc	(revision 907)
+++ trunk/SophyaLib/SkyT/radspec.cc	(revision 909)
@@ -1,5 +1,5 @@
 //--------------------------------------------------------------------------
 // File and Version Information:
-//      $Id: radspec.cc,v 1.3 1999-11-29 14:16:06 ansari Exp $
+//      $Id: radspec.cc,v 1.4 2000-04-13 14:10:44 ansari Exp $
 //
 // Description:
@@ -23,7 +23,25 @@
 #include "integ.h"
 
+/*! 
+ * \class SOPHYA::RadSpectra <BR>
+ * This class is an abstract base class for radiation emission spectra. The flux() function returns the value of the flux (the spectral      <BR>
+ * energy distribution) as a function of the frequency.  As in the SpectralResponse class, the () operator has been redefined <BR>
+ * at this level, so that the user can access the flux value, either by  calling the function or directly by using this operator. <BR>
+ * For all the sub-classes, \nu is given in units of Hz and
+ * the flux is returned in units of W/m^2/sr/Hz.
+*/
+
+
 //----------------
 // Constructor --
 //----------------
+/*! Default constructor */
+/*!
+  The constructor takes as an argument the minimum
+  and the maximum frequency of the spectrum, if any. <BR>
+  In the case the user does not want to specify these
+  values, there are set respectively to 0. and 9.E49
+  by default.
+*/
 RadSpectra::RadSpectra(double numin, double numax)
 {
@@ -64,7 +82,8 @@
 
 
-
-// peakFreq returns the value of the frequency for the
-// peak of the spectrum. 
+/* 
+   The peakFreq() function returns the value of the 
+   frequency for the maximum value of the flux
+*/
 double 
 RadSpectra::peakFreq()  const
@@ -85,5 +104,4 @@
 }
 
-// To change min-max frequency
 void
 RadSpectra::setMinMaxFreq(double numin, double numax)
@@ -100,11 +118,12 @@
    return(_raypourfinteg->flux(nu));   
 }
-
+/*! 
+  The integratedFlux() function performs the integration
+  of the flux function in a frequency range <BR> defined by
+  f1 and f2.
+*/
 double 
 RadSpectra::integratedFlux(double f1, double f2)  const
 {
-//   cout << endl;
-//   cout <<  this->minFreq() << " = " << this->maxFreq() << endl;
-//   cout <<  f1 << " = " << f2 << endl;
   if(f1 < this->minFreq()) f1 = this->minFreq();
   if(f2 > this->maxFreq()) f2 = this->maxFreq();
@@ -115,4 +134,9 @@
   return(val);        
 }
+
+/*!
+  Same than integratedFlux() over the frequency range 
+  of definition of the flux function
+ */
 double 
 RadSpectra::integratedFlux()  const
@@ -131,4 +155,10 @@
 }
 
+/*! 
+  The logIntegratedFlux() function performs the integration
+  of the flux function in a frequency range <BR> defined by
+  f1 and f2. The integration is here performed
+  on the logarithm of the flux function. 
+*/
 double 
 RadSpectra::logIntegratedFlux(double f1, double f2)  const
@@ -148,4 +178,8 @@
 }
 
+/*!
+  same than logIntegratedFlux over the frequency range
+  of definition of the flux function
+ */
 double 
 RadSpectra::logIntegratedFlux()  const
@@ -163,5 +197,9 @@
 }
 
-
+/*! 
+  The filteredIntegratedFlux() function performs the integration
+  of the flux function in a frequency range <BR> defined by
+  f1 and f2 convolved by a SpectralResponse filter.
+*/
 double 
 RadSpectra::filteredIntegratedFlux(SpectralResponse const& filter, double f1, double f2) const
@@ -179,4 +217,17 @@
 }
 
+/*!
+  Same than filteredIntegratedFlux() over the frequency range
+  defined as: <BR>
+   min_freq = MAX(minfreq_flux, minfreq_filter), <BR>
+   max_freq = MIN(maxfreq_flux, maxfreq_filter), <BR>
+  where:
+<UL>  
+<LI>   minfreq_flux   is the minimum frequency of the flux definition
+<LI>   maxfreq_flux   is the maximum frequency of the flux definition
+<LI>   minfreq_filter is the minimum frequency of the filter definition
+<LI>   maxfreq_filter is the maximum frequency of the filter definition
+  </UL>
+ */
 double 
 RadSpectra::filteredIntegratedFlux(SpectralResponse const& filter)
@@ -201,4 +252,10 @@
 
 
+/*! 
+ *  The filteredIntegratedFlux() function performs the integration
+ * of the flux function in a frequency range <BR> defined by
+ * f1 and f2 convolved by a SpectralResponse filter (using the
+ * logarithm of the function).
+ */
 double 
 RadSpectra::filteredLogIntFlux(SpectralResponse const& filter, double f1, double f2) const
Index: trunk/SophyaLib/SkyT/radspecvector.cc
===================================================================
--- trunk/SophyaLib/SkyT/radspecvector.cc	(revision 907)
+++ trunk/SophyaLib/SkyT/radspecvector.cc	(revision 909)
@@ -1,5 +1,5 @@
 //--------------------------------------------------------------------------
 // File and Version Information:
-//      $Id: radspecvector.cc,v 1.5 1999-11-29 16:59:11 ansari Exp $
+//      $Id: radspecvector.cc,v 1.6 2000-04-13 14:10:45 ansari Exp $
 //
 // Description:
@@ -26,8 +26,20 @@
 // Constructor --
 //----------------
+
+/*! 
+ * \class SOPHYA::RadSpectraVec 
+ * One may define the radiation
+ * spectrum with two vectors: <BR> one for the frequencies and the second for the
+ * value of the flux function. <BR>
+ * In that case, the class to use is RadSpectraVec !
+ */
+
 RadSpectraVec::RadSpectraVec()
 {
 }
-
+/*! Constructor:
+  \param nu is the frequency vector <BR>
+  \param fdenu is the corresponding flux values (stored in a vector as well)
+ */
 RadSpectraVec::RadSpectraVec(Vector const & nu, Vector const & fdenu, double numin, double numax)
         : RadSpectra(numin, numax)
@@ -55,5 +67,8 @@
 
 
-
+/*! The flux function extrapolates the flux values for the 
+  frequencies that are not present in the nu vector <BR>
+  given at the instanciation of the class.
+ */
 double 
 RadSpectraVec::flux(double nu) const
Index: trunk/SophyaLib/SkyT/specresp.cc
===================================================================
--- trunk/SophyaLib/SkyT/specresp.cc	(revision 907)
+++ trunk/SophyaLib/SkyT/specresp.cc	(revision 909)
@@ -1,5 +1,5 @@
 //--------------------------------------------------------------------------
 // File and Version Information:
-//      $Id: specresp.cc,v 1.3 1999-11-29 14:16:08 ansari Exp $
+//      $Id: specresp.cc,v 1.4 2000-04-13 14:10:45 ansari Exp $
 //
 // Description:
@@ -21,4 +21,13 @@
 #include "tvector.h"
 
+/*! 
+ * \class SOPHYA::SpectralResponse <BR>
+ SpectralResponse corresponds to a detector filter's
+ response as a function of the frequency.
+ The SpectralResponse class is an abstract class.
+ The virtual constructor takes as arguments the
+ minimum and maximum values of the frequency range on
+ which the detector response is defined
+ */
 //----------------
 // Constructor --
@@ -107,4 +116,10 @@
 
 
+/*! 
+  This function performs the integration
+  of the transmission function in its frequency range 
+  (defined when instanciating an object of on of the
+  subclasses)
+*/
 double 
 SpectralResponse::IntegratedSpect()  const
@@ -114,4 +129,9 @@
 }
 
+/*! 
+  The IntegratedSpect function performs the integration
+  of the transmission function in a frequency range <BR> defined by
+  numin and numax.
+*/
 double 
 SpectralResponse::IntegratedSpect(double numin, double numax) const 
@@ -137,4 +157,9 @@
 }
 
+/*! 
+  The logIntegratedSpect function performs the integration
+  of the logarithm of the transmission function in a frequency range <BR> defined by
+  numin and numax.
+*/
 double 
 SpectralResponse::logIntegratedSpect(double numin, double numax) const 
@@ -154,4 +179,8 @@
 }
 
+/*! 
+  Same than IntegratedSpect(numin,numax) over its
+  frequency range defined at the initialisation
+*/
 double 
 SpectralResponse::logIntegratedSpect()  const
Index: trunk/SophyaLib/SkyT/specrespvector.cc
===================================================================
--- trunk/SophyaLib/SkyT/specrespvector.cc	(revision 907)
+++ trunk/SophyaLib/SkyT/specrespvector.cc	(revision 909)
@@ -1,5 +1,5 @@
 //--------------------------------------------------------------------------
 // File and Version Information:
-//      $Id: specrespvector.cc,v 1.6 2000-04-03 17:42:39 ansari Exp $
+//      $Id: specrespvector.cc,v 1.7 2000-04-13 14:10:45 ansari Exp $
 //
 // Description:
@@ -26,4 +26,10 @@
 // Constructor --
 //----------------
+/*! 
+ * \class SOPHYA::SpecRespVec
+ One may also want to defined the filter of a detector by two vectors:
+ one for the frequencies and one for the corresponding transmission values.
+ In this case on should use the SpecRespVec class !
+*/
 SpecRespVec::SpecRespVec()
         : SpectralResponse()
@@ -31,4 +37,8 @@
 }
 
+/*! Constructor: 
+  \param nu  vector of the frequencies
+  \param fdenu  vector of the corresponding transmission values of the filter
+*/
 SpecRespVec::SpecRespVec(Vector const & nu, Vector const & fdenu, double numin, double numax)
         : SpectralResponse(numin, numax)
@@ -69,5 +79,8 @@
 
 
- 
+/*! The transmission function extrapolates the transmission values for the 
+  frequencies that are not present in the nu vector <BR>
+  given at the instanciation of the class.
+*/
 double 
 SpecRespVec::transmission(double nu)  const 
Index: trunk/SophyaLib/SkyT/squarefilt.cc
===================================================================
--- trunk/SophyaLib/SkyT/squarefilt.cc	(revision 907)
+++ trunk/SophyaLib/SkyT/squarefilt.cc	(revision 909)
@@ -1,5 +1,5 @@
 //--------------------------------------------------------------------------
 // File and Version Information:
-//      $Id: squarefilt.cc,v 1.4 1999-11-29 16:59:12 ansari Exp $
+//      $Id: squarefilt.cc,v 1.5 2000-04-13 14:10:45 ansari Exp $
 //
 // Description:
@@ -17,4 +17,9 @@
 
 #include "squarefilt.h"
+
+/*! 
+ * \class SOPHYA::SquareFilter
+ * Square detector response
+ */
 
 //----------------
@@ -46,4 +51,6 @@
 
 
+/*! The transmission returns 1. for frequencies in the [numin,numax] range
+  and 0. outside */ 
 double 
 SquareFilter::transmission(double nu) const
Index: trunk/SophyaLib/SkyT/trianglefilt.cc
===================================================================
--- trunk/SophyaLib/SkyT/trianglefilt.cc	(revision 907)
+++ trunk/SophyaLib/SkyT/trianglefilt.cc	(revision 909)
@@ -1,5 +1,5 @@
 //--------------------------------------------------------------------------
 // File and Version Information:
-//      $Id: trianglefilt.cc,v 1.4 1999-11-29 16:59:13 ansari Exp $
+//      $Id: trianglefilt.cc,v 1.5 2000-04-13 14:10:46 ansari Exp $
 //
 // Description:
@@ -21,9 +21,14 @@
 // Constructor --
 //----------------
-
+/*! 
+ * \class SOPHYA::TriangleFilter
+ * triangle detector response
+ */
 TriangleFilter::TriangleFilter()
    : SpectralResponse()
 {
 }
+/*! Constructor: nupeak is the frequency value at the hat of the triangle and
+  valueatpeak is the corresponding transmission value. */
 TriangleFilter::TriangleFilter(double numin, double numax,double nupeak, double valueatpeak)
    : SpectralResponse(numin, numax)
@@ -44,4 +49,8 @@
 //              ---------------------------
 
+/*! The transmission function is a triangle defined in the constructor
+by numin and numax (for which the transmission goes to 0.) and
+the hat of the triangle (defined by a peak frequency and the corresponding
+transmission value. */
 double 
 TriangleFilter::transmission(double nu) const
@@ -64,5 +73,5 @@
 TriangleFilter::peakTransmission() const 
 {
-return _peakTransmission;
+  return _peakTransmission;
 }
 