Index: trunk/SophyaLib/Mgr/Makefile.h
===================================================================
--- trunk/SophyaLib/Mgr/Makefile.h	(revision 909)
+++ trunk/SophyaLib/Mgr/Makefile.h	(revision 911)
@@ -177,4 +177,10 @@
 CPPFLAGS     :=  -I${INC} $(EXTINCPI) -D${MACHEROSD} $(MODULECPPFLAGS)
 
+#  Si la variable d'environnement SOPHYA_DEBUG est definie : Activation des 
+#  compilations conditionnelles pour le debug/bound-checking/... ds le code
+ifdef SOPHYA_DEBUG 
+  CPPFLAGS   := $(CPPFLAGS) -DSOPHYA_DEBUG
+endif
+
 # Les options selon les divers compilateurs
 # GNU
@@ -329,13 +335,26 @@
 ifeq ($(CXX), KCC)
   CXXFLAGS     :=  --exceptions --rtti  --auto_instantiation --one_instantiation_per_object -D__KCC__
+  CXXFLAGS  := $(CXXFLAGS) $(OPTFLAG) $(DBGFLAG) $(MYCFLAGS)
+  CFLAGS := $(OPTFLAG) $(DBGFLAG) $(MYCFLAGS)
 # Flag --one_instantiation_per_object mis - Reza 02/03/99
 # -DCOMPILER_EXCEPTIONS -D__ANSI_TEMPLATES__  definis ds defs.h 
 endif
 
+# --- Systeme IRIX64 de Silixon Graphics (SGI) 
+ifeq ($(MACHEROS), IRIX64)
 # --- Compilateur natif CC de SGI 
-ifeq ($(MACHEROS), IRIX64)
   ifeq ($(CXX), CC)
-    CXXFLAGS     :=  -prelink -D__SGICC__
+    CFLAGS  := $(OPTFLAG) $(DBGFLAG) $(MYCFLAGS) 
+    CXXFLAGS := -prelink -D__SGICC__ $(OPTFLAG) $(DBGFLAG) $(MYCFLAGS)
     LINK.cc := CC $(CPPFLAGS) -D__SGICC__ $(DBGFLAG) $(OPTFLAG)
+#  sur SGI, les libs/executables ont deux formats 32 et 64 bits (trois avec o32)
+#  -n32 Generates a (new) 32-bit object default to -mips3 if -mips4 has not been specified
+#  -64 Generates a 64-bit object - defaults to -mips4 if -mips3 has not been specified
+#  La variable d'environnement SOPHYA_SGI64 controle cette option
+    ifdef SOPHYA_SGI64
+      CFLAGS  := -64 $(OPTFLAG) $(DBGFLAG) $(MYCFLAGS) 
+      CXXFLAGS := -64 -prelink -D__SGICC__ $(OPTFLAG) $(DBGFLAG) $(MYCFLAGS)
+      LINK.cc := CC -64 $(CPPFLAGS) -D__SGICC__ $(DBGFLAG) $(OPTFLAG)
+    endif
   endif
 endif
Index: trunk/SophyaLib/Mgr/mkmfPI
===================================================================
--- trunk/SophyaLib/Mgr/mkmfPI	(revision 909)
+++ trunk/SophyaLib/Mgr/mkmfPI	(revision 911)
@@ -1,4 +1,4 @@
 #!/bin/csh
-# $Id: mkmfPI,v 1.4 2000-04-10 17:37:51 ansari Exp $
+# $Id: mkmfPI,v 1.5 2000-04-13 15:56:03 ansari Exp $
 
 set makefname = 'GNUmakefile'
@@ -72,7 +72,8 @@
 set inc = $DPCDEVREP/Include
 set incext = $EXTLIBDIR/Include
+set nomsys = `uname`
 
 foreach f ( $ccfiles )
-  gcc -MM -I$inc -I$incext $f  \
+  gcc -MM -D$nomsys -I$inc -I$incext $f  \
        | sed -e 's/.*\.o/\$(OBJ)&/'  \
        | sed -e 's?'$inc/'?$(INC)?g'  \
Index: trunk/SophyaLib/Mgr/mkmflib
===================================================================
--- trunk/SophyaLib/Mgr/mkmflib	(revision 909)
+++ trunk/SophyaLib/Mgr/mkmflib	(revision 911)
@@ -1,4 +1,4 @@
 #!/bin/csh
-# $Id: mkmflib,v 1.7 2000-04-10 17:37:51 ansari Exp $
+# $Id: mkmflib,v 1.8 2000-04-13 15:56:03 ansari Exp $
 
 cd ../$1
@@ -69,8 +69,9 @@
 # set incxx = $inc/CxxInc
 set incext = $EXTLIBDIR/Include
+set nomsys = `uname`
 
 foreach f ( *.cc )
   grep -q '^'$f'$' exclude && continue
-  gcc -MM -I$inc -I$incext $f  \
+  gcc -MM -D$nomsys -I$inc -I$incext $f  \
        | sed -e 's/.*\.o/\$(OBJ)&/'  \
        | sed -e 's?'$inc/'?$(INC)?g'  \
@@ -80,5 +81,5 @@
 foreach f ( *.c )
   grep -q '^'$f'$' exclude && continue
-  gcc -MM -I$inc -I$incext $f  \
+  gcc -MM -D$nomsys -I$inc -I$incext $f  \
        | sed -e 's/.*\.o/\$(OBJ)&/'  \
        | sed -e 's?'$inc/'?$(INC)?g' \
Index: trunk/SophyaLib/Mgr/mkmfprog
===================================================================
--- trunk/SophyaLib/Mgr/mkmfprog	(revision 909)
+++ trunk/SophyaLib/Mgr/mkmfprog	(revision 911)
@@ -1,4 +1,4 @@
 #!/bin/csh 
-# $Id: mkmfprog,v 1.3 2000-04-10 17:37:51 ansari Exp $
+# $Id: mkmfprog,v 1.4 2000-04-13 15:56:03 ansari Exp $
 
 # $1 : nom du repertoire
@@ -80,8 +80,8 @@
 set inc = $DPCDEVREP/Include
 set incext = $EXTLIBDIR/Include
-
+set nomsys = `uname`
 
 foreach f ( *.cc )
-  gcc -MM -I$inc -I$incext $f  \
+  gcc -MM -D$nomsys -I$inc -I$incext $f  \
        | grep -v $incext \
        | sed -e 's/.*\.o/\$(OBJ)&/' \