Index: trunk/SophyaExt/FitsIOServer/Makefile
===================================================================
--- trunk/SophyaExt/FitsIOServer/Makefile	(revision 910)
+++ trunk/SophyaExt/FitsIOServer/Makefile	(revision 919)
@@ -3,7 +3,7 @@
 all: $(LIB)libFitsIOServer.a
 clean:
-	rm -f $(OBJ)fitsioserver.o
+	rm -f $(OBJ)fitsfile.o $(OBJ)fitsioserver.o $(OBJ)fitsntuple.o $(OBJ)fitsspherehealpix.o $(OBJ)fitstarray.o $(OBJ)fitsxntuple.o
 	rm -f $(LIB)libFitsIOServer.a
-$(LIB)libFitsIOServer.a : $(OBJ)fitsioserver.o
+$(LIB)libFitsIOServer.a : $(OBJ)fitsfile.o $(OBJ)fitsioserver.o $(OBJ)fitsntuple.o $(OBJ)fitsspherehealpix.o $(OBJ)fitstarray.o $(OBJ)fitsxntuple.o
 	$(ARCXX) $(ARCXXFLAGS) $@ $?
 ifeq ($(CXX),cxx)
@@ -11,3 +11,131 @@
 endif 
  
-$(OBJ)fitsioserver.o : fitsioserver.cc fitsioserver.h $(INC)machdefs.h $(INC)tarray.h
+$(OBJ)fitsfile.o: fitsfile.cc fitsfile.h \
+ $(INC)ndatablock.h \
+ $(INC)machdefs.h \
+ $(INC)anydataobj.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h \
+ $(EXTINCPATH)FitsIO/fitsio.h \
+ $(EXTINCPATH)FitsIO/longnam.h \
+ $(INC)strutil.h fitsspherehealpix.h \
+ $(INC)spherehealpix.h \
+ $(INC)sphericalmap.h \
+ $(INC)smathconst.h \
+ $(INC)pixelmap.h \
+ $(INC)spherepos.h \
+ $(INC)unitvector.h \
+ $(INC)vector3d.h \
+ $(INC)longlat.h \
+ $(INC)utilgeom.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)utilarr.h
+$(OBJ)fitsioserver.o: fitsioserver.cc \
+ $(INC)machdefs.h fitsioserver.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)anydataobj.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h \
+ $(INC)tmatrix.h \
+ $(INC)tvector.h \
+ $(INC)skymap.h \
+ $(INC)spherethetaphi.h \
+ $(INC)sphericalmap.h \
+ $(INC)smathconst.h \
+ $(INC)pixelmap.h \
+ $(INC)spherepos.h \
+ $(INC)unitvector.h \
+ $(INC)vector3d.h \
+ $(INC)longlat.h \
+ $(INC)utilgeom.h \
+ $(INC)spherehealpix.h \
+ $(INC)localmap.h \
+ $(INC)fiospherethetaphi.h \
+ $(INC)fiospherehealpix.h \
+ $(INC)fiolocalmap.h \
+ $(INC)ntuple.h \
+ $(INC)ntupintf.h \
+ $(INC)cimage.h \
+ $(INC)rzimage.h \
+ $(INC)rzvect.h \
+ $(INC)perrors.h \
+ $(INC)datatypes.h \
+ $(EXTINCPATH)FitsIO/fitsio.h \
+ $(EXTINCPATH)FitsIO/longnam.h \
+ $(INC)strutil.h
+$(OBJ)fitsntuple.o: fitsntuple.cc \
+ $(INC)pexceptions.h \
+ $(INC)machdefs.h fitsntuple.h \
+ $(INC)ntuple.h \
+ $(INC)objfio.h \
+ $(INC)anydataobj.h \
+ $(INC)ppersist.h \
+ $(INC)gnumd5.h \
+ $(INC)ntupintf.h \
+ $(INC)dvlist.h fitsfile.h \
+ $(INC)ndatablock.h \
+ $(EXTINCPATH)FitsIO/fitsio.h \
+ $(EXTINCPATH)FitsIO/longnam.h
+$(OBJ)fitsspherehealpix.o: fitsspherehealpix.cc \
+ $(INC)pexceptions.h \
+ $(INC)machdefs.h fitsspherehealpix.h \
+ $(INC)spherehealpix.h \
+ $(INC)sphericalmap.h \
+ $(INC)smathconst.h \
+ $(INC)pixelmap.h \
+ $(INC)ppersist.h \
+ $(INC)gnumd5.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)anydataobj.h \
+ $(INC)spherepos.h \
+ $(INC)unitvector.h \
+ $(INC)vector3d.h \
+ $(INC)longlat.h \
+ $(INC)utilgeom.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h fitsfile.h \
+ $(EXTINCPATH)FitsIO/fitsio.h \
+ $(EXTINCPATH)FitsIO/longnam.h
+$(OBJ)fitstarray.o: fitstarray.cc $(INC)machdefs.h \
+ $(INC)pexceptions.h fitstarray.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)anydataobj.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)ppersist.h \
+ $(INC)gnumd5.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h fitsfile.h \
+ $(EXTINCPATH)FitsIO/fitsio.h \
+ $(EXTINCPATH)FitsIO/longnam.h
+$(OBJ)fitsxntuple.o: fitsxntuple.cc \
+ $(INC)pexceptions.h \
+ $(INC)machdefs.h fitsxntuple.h \
+ $(INC)xntuple.h \
+ $(INC)objfio.h \
+ $(INC)anydataobj.h \
+ $(INC)ppersist.h \
+ $(INC)gnumd5.h \
+ $(INC)ntupintf.h \
+ $(INC)dvlist.h fitsfile.h \
+ $(INC)ndatablock.h \
+ $(EXTINCPATH)FitsIO/fitsio.h \
+ $(EXTINCPATH)FitsIO/longnam.h
Index: trunk/SophyaExt/FitsIOServer/objlist.list
===================================================================
--- trunk/SophyaExt/FitsIOServer/objlist.list	(revision 910)
+++ trunk/SophyaExt/FitsIOServer/objlist.list	(revision 919)
@@ -1,1 +1,6 @@
+fitsfile.o
 fitsioserver.o
+fitsntuple.o
+fitsspherehealpix.o
+fitstarray.o
+fitsxntuple.o
Index: trunk/SophyaExt/IFFTW/Makefile
===================================================================
--- trunk/SophyaExt/IFFTW/Makefile	(revision 910)
+++ trunk/SophyaExt/IFFTW/Makefile	(revision 919)
@@ -11,4 +11,19 @@
 endif 
  
-$(OBJ)fftwserver.o : fftwserver.cc $(INC)machdefs.h $(INC)fftservintf.h
-
+$(OBJ)fftwserver.o: fftwserver.cc fftwserver.h \
+ $(INC)machdefs.h \
+ $(INC)fftservintf.h \
+ $(INC)pexceptions.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)anydataobj.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)ppersist.h \
+ $(INC)gnumd5.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h \
+ $(INC)tvector.h \
+ $(EXTINCPATH)FFTW/fftw.h \
+ $(EXTINCPATH)FFTW/rfftw.h
Index: trunk/SophyaExt/LinAlg/Makefile
===================================================================
--- trunk/SophyaExt/LinAlg/Makefile	(revision 910)
+++ trunk/SophyaExt/LinAlg/Makefile	(revision 919)
@@ -13,5 +13,4 @@
 $(OBJ)intflapack.o: intflapack.cc intflapack.h \
  $(INC)machdefs.h \
- $(INC)pclassids.h \
  $(INC)tarray.h \
  $(INC)basarr.h \