Index: /trunk/SophyaLib/HiStats/hisprof.h
===================================================================
--- /trunk/SophyaLib/HiStats/hisprof.h	(revision 919)
+++ /trunk/SophyaLib/HiStats/hisprof.h	(revision 920)
@@ -11,4 +11,6 @@
 
 /*!
+  \class SOPHYA::HProf
+  \ingroup HiStats
   Classe de profil d'histogrammes.
 */
Index: /trunk/SophyaLib/HiStats/histinit.cc
===================================================================
--- /trunk/SophyaLib/HiStats/histinit.cc	(revision 919)
+++ /trunk/SophyaLib/HiStats/histinit.cc	(revision 920)
@@ -11,6 +11,16 @@
 #include "xntuple.h"
 
+/*!
+   \defgroup HiStats HiStats module
+   This module contains histograms
+*/
+ 
 int HiStatsInitiator::FgInit = 0;
 
+/*!
+  \class SOPHYA::HiStatsInitiator
+  \ingroup HiStats
+  Histograms initiator
+*/
 HiStatsInitiator::HiStatsInitiator()
   : NToolsInitiator()
Index: /trunk/SophyaLib/HiStats/histos.h
===================================================================
--- /trunk/SophyaLib/HiStats/histos.h	(revision 919)
+++ /trunk/SophyaLib/HiStats/histos.h	(revision 920)
@@ -1,5 +1,5 @@
 // This may look like C code, but it is really -*- C++ -*-
 //
-// $Id: histos.h,v 1.2 2000-04-13 16:04:11 ansari Exp $
+// $Id: histos.h,v 1.3 2000-04-13 16:41:43 ansari Exp $
 //
 
@@ -21,4 +21,6 @@
 
 /*!
+  \class SOPHYA::Histo
+  \ingroup HiStats
   Classe d'histogrammes 1D
 */
Index: /trunk/SophyaLib/HiStats/histos2.h
===================================================================
--- /trunk/SophyaLib/HiStats/histos2.h	(revision 919)
+++ /trunk/SophyaLib/HiStats/histos2.h	(revision 920)
@@ -24,4 +24,6 @@
 
 /*!
+  \class SOPHYA::Histo2D
+  \ingroup HiStats
   Classe d'histogrammes 2D
   \verbatim
Index: /trunk/SophyaLib/TArray/basarr.h
===================================================================
--- /trunk/SophyaLib/TArray/basarr.h	(revision 919)
+++ /trunk/SophyaLib/TArray/basarr.h	(revision 920)
@@ -22,4 +22,6 @@
 //! Base class for template arrays
 /*!
+  \class SOPHYA::BaseArray
+  \ingroup TArray
   No data are connected to this class.
 
Index: /trunk/SophyaLib/TArray/fioarr.h
===================================================================
--- /trunk/SophyaLib/TArray/fioarr.h	(revision 919)
+++ /trunk/SophyaLib/TArray/fioarr.h	(revision 920)
@@ -17,4 +17,6 @@
 //! Class for persistent management of TArray
 /*!
+  \class SOPHYA::FIO_TArray
+  \ingroup TArray
   This class manage also persistence for TMatrix and TVector.
   \sa TArray TMatrix TVector.
Index: /trunk/SophyaLib/TArray/matharr.h
===================================================================
--- /trunk/SophyaLib/TArray/matharr.h	(revision 919)
+++ /trunk/SophyaLib/TArray/matharr.h	(revision 920)
@@ -14,4 +14,6 @@
 //! Class for simple mathematical operation on arrays 
 /*!
+  \class SOPHYA::MathArray
+  \ingroup TArray
   \warning Instanciated only for \b real and \b double (r_4, r_8) type arrays
 */
Index: /trunk/SophyaLib/TArray/tarray.h
===================================================================
--- /trunk/SophyaLib/TArray/tarray.h	(revision 919)
+++ /trunk/SophyaLib/TArray/tarray.h	(revision 920)
@@ -25,4 +25,6 @@
 //! Class for template arrays
 /*!
+  \class SOPHYA::TArray
+  \ingroup TArray
   This class implements arrays of dimensions up to
   \ref BASEARRAY_MAXNDIMS "BASEARRAY_MAXNDIMS"
Index: /trunk/SophyaLib/TArray/tarrinit.cc
===================================================================
--- /trunk/SophyaLib/TArray/tarrinit.cc	(revision 919)
+++ /trunk/SophyaLib/TArray/tarrinit.cc	(revision 920)
@@ -5,7 +5,16 @@
 #include "fioarr.h"
 
+/*!
+   \defgroup TArray TArray module
+   This module contains arrays matrixes and vectors.
+*/
 
 int TArrayInitiator::FgInit = 0;
 
+/*!
+  \class SOPHYA::TArrayInitiator
+  \ingroup TArray
+  Array Matrices and Vector initiator
+*/
 TArrayInitiator::TArrayInitiator()
   : SophyaInitiator()
Index: /trunk/SophyaLib/TArray/tmatrix.h
===================================================================
--- /trunk/SophyaLib/TArray/tmatrix.h	(revision 919)
+++ /trunk/SophyaLib/TArray/tmatrix.h	(revision 920)
@@ -11,4 +11,6 @@
 //! Class of matrixes
 /*!
+  \class SOPHYA::TMatrix
+  \ingroup TArray
   \sa TArray
  */
Index: /trunk/SophyaLib/TArray/triangmtx.h
===================================================================
--- /trunk/SophyaLib/TArray/triangmtx.h	(revision 919)
+++ /trunk/SophyaLib/TArray/triangmtx.h	(revision 920)
@@ -10,4 +10,9 @@
 
 //! Class for inferior triangular matrix (base class for the class Alm)
+/*!
+  \class SOPHYA::TriangularMatrix
+  \ingroup TArray
+  Class for triangular matrices
+*/
 template <class T>
 class TriangularMatrix {
Index: /trunk/SophyaLib/TArray/tvector.h
===================================================================
--- /trunk/SophyaLib/TArray/tvector.h	(revision 919)
+++ /trunk/SophyaLib/TArray/tvector.h	(revision 920)
@@ -10,4 +10,6 @@
 //! Class of vector (line or column)
 /*!
+  \class SOPHYA::TVector
+  \ingroup TArray
   \sa TMatrix TArray
   */
Index: /trunk/SophyaLib/TArray/utilarr.h
===================================================================
--- /trunk/SophyaLib/TArray/utilarr.h	(revision 919)
+++ /trunk/SophyaLib/TArray/utilarr.h	(revision 920)
@@ -20,4 +20,8 @@
 //////////////////////////////////////////////////////////
 //! Class to generate a random sequence of values
+/*!
+  \class SOPHYA::RandomSequence
+  \ingroup TArray
+*/
 class RandomSequence {
 public:
@@ -38,4 +42,8 @@
 //////////////////////////////////////////////////////////
 //! Class to generate a sequence of values
+/*!
+  \class SOPHYA::Sequence
+  \ingroup TArray
+*/
 class Sequence {
 public:
@@ -58,4 +66,8 @@
 //////////////////////////////////////////////////////////
 //! Class to define a range of indexes
+/*!
+  \class SOPHYA::Range
+  \ingroup TArray
+*/
 class Range {
 public:
@@ -78,4 +90,8 @@
 //////////////////////////////////////////////////////////
 //! Class to define an identity matrix
+/*!
+  \class SOPHYA::IdentityMatrix
+  \ingroup TArray
+*/
 class IdentityMatrix {
 public: