Index: /trunk/SophyaExt/FitsIOServer/fitsfile.cc
===================================================================
--- /trunk/SophyaExt/FitsIOServer/fitsfile.cc	(revision 922)
+++ /trunk/SophyaExt/FitsIOServer/fitsfile.cc	(revision 923)
@@ -568,10 +568,11 @@
   taille_des_chaines.clear();
   char **ttype = new char*[nbcols];
-  for (int ii=0; ii < nbcols; ii++) ttype[ii]=new char[FLEN_VALUE];
+  int ii;
+  for (ii=0; ii < nbcols; ii++) ttype[ii]=new char[FLEN_VALUE];
   int nfound;
   fits_read_keys_str(fileptr, "TTYPE",1,nbcols,ttype,&nfound, &status);
   if( status ) printerror( status,"erreur lecture des noms de colonne");
   int rept=0;
-  for(int ii = 0; ii <  nbcols; ii++)
+  for(ii = 0; ii <  nbcols; ii++)
     {
       int DTYPE;
Index: /trunk/SophyaExt/FitsIOServer/fitsioserver.cc
===================================================================
--- /trunk/SophyaExt/FitsIOServer/fitsioserver.cc	(revision 922)
+++ /trunk/SophyaExt/FitsIOServer/fitsioserver.cc	(revision 923)
@@ -329,5 +329,6 @@
   long repeat;
   int ntest= 0;
-  for(int ii = 0; ii < ncols; ii++)
+  int ii;
+  for(ii = 0; ii < ncols; ii++)
     {
       int DTYPE;
@@ -354,5 +355,5 @@
   char **clname;
   clname= new char*[tfields.size()];
-  for(int ii = 0; ii < tfields.size(); ii++)
+  for(ii = 0; ii < tfields.size(); ii++)
     {
       //  ostringstream ne passe pas sur tous les compilos .. Reza 23/12/99
@@ -367,5 +368,5 @@
   // create a NTuple
   NTuple nt0(tfields.size(),clname);
-  for(int ii = 0; ii < tfields.size(); ii++)
+  for(ii = 0; ii < tfields.size(); ii++)
     delete [] clname[ii];
   delete [] clname;
@@ -615,8 +616,8 @@
 	}
     }
-  
-  for(int j = 0; j < sph1.NbPixels(); j++) sph1(j)= (double)r_8tab_[j];
-  for(int j = 0; j < sph2.NbPixels(); j++) sph2(j)= (double)r_8tab_[j+npixels];
-  for(int j = 0; j < sph3.NbPixels(); j++) sph3(j)= (double)r_8tab_[j+2*npixels];
+  int j;
+  for(j = 0; j < sph1.NbPixels(); j++) sph1(j)= (double)r_8tab_[j];
+  for(j = 0; j < sph2.NbPixels(); j++) sph2(j)= (double)r_8tab_[j+npixels];
+  for(j = 0; j < sph3.NbPixels(); j++) sph3(j)= (double)r_8tab_[j+2*npixels];
 }
 
@@ -656,8 +657,8 @@
 	}
     }
-  
-  for(int j = 0; j < sph1.NbPixels(); j++) sph1(j)= (float)r_4tab_[j];
-  for(int j = 0; j < sph2.NbPixels(); j++) sph2(j)= (float)r_4tab_[j+npixels];
-  for(int j = 0; j < sph3.NbPixels(); j++) sph3(j)= (float)r_4tab_[j+2*npixels];
+  int j;  
+  for(j = 0; j < sph1.NbPixels(); j++) sph1(j)= (float)r_4tab_[j];
+  for(j = 0; j < sph2.NbPixels(); j++) sph2(j)= (float)r_4tab_[j+npixels];
+  for(j = 0; j < sph3.NbPixels(); j++) sph3(j)= (float)r_4tab_[j+2*npixels];
 }
 
@@ -950,5 +951,5 @@
     printerror( status );
 
-  for( int ii = 0; ii < tfields; ii++)
+  for(int ii = 0; ii < tfields; ii++)
     {
       delete [] ttype[ii];
@@ -1119,8 +1120,8 @@
   r_8tab_=new r_8[3*npixels];
 
-
-  for (int j = 0; j < npixels; j++) r_8tab_[j]= (r_8)sph1(j);
-  for (int j = 0; j < npixels; j++) r_8tab_[j+npixels]= (r_8)sph2(j);
-  for (int j = 0; j < npixels; j++) r_8tab_[j+2*npixels]= (r_8)sph3(j);
+  int j;
+  for (j = 0; j < npixels; j++) r_8tab_[j]= (r_8)sph1(j);
+  for (j = 0; j < npixels; j++) r_8tab_[j+npixels]= (r_8)sph2(j);
+  for (j = 0; j < npixels; j++) r_8tab_[j+2*npixels]= (r_8)sph3(j);
   DVList dvl;
   dvl.SetS("PIXTYPE","HEALPIX ");
@@ -1150,8 +1151,9 @@
   if (r_4tab_ != NULL ) { delete[] r_4tab_;  r_4tab_ = NULL; }
   r_4tab_=new r_4[3*npixels];
-
-  for (int j = 0; j < npixels; j++) r_4tab_[j]= (r_4)sph1(j);
-  for (int j = 0; j < npixels; j++) r_4tab_[j+npixels]= (r_4)sph2(j);
-  for (int j = 0; j < npixels; j++) r_4tab_[j+2*npixels]= (r_4)sph3(j);
+  
+  int j;
+  for (j = 0; j < npixels; j++) r_4tab_[j]= (r_4)sph1(j);
+  for (j = 0; j < npixels; j++) r_4tab_[j+npixels]= (r_4)sph2(j);
+  for (j = 0; j < npixels; j++) r_4tab_[j+2*npixels]= (r_4)sph3(j);
 
   DVList dvl;
@@ -1534,8 +1536,9 @@
   delete [] tform;
   long nelements= npixels;
+  int k;
   switch (FITS_tab_typ_) 
     {
     case TDOUBLE :
-      for (int k=1; k<=tfields; k++)
+      for (k=1; k<=tfields; k++)
 	{
 	  fits_write_col(fptr, TDOUBLE, k, 1, 1, nelements, r_8tab_+(k-1)*nelements, &status);
@@ -1547,5 +1550,5 @@
     case TFLOAT :
  //DBG!!! $CHECK$ Reza      for (int kk=0; kk<10; kk++) cout << r_4tab_[kk] << endl;
-      for (int k=1; k<=tfields; k++)
+      for (k=1; k<=tfields; k++)
 	{
 	  fits_write_col(fptr, TFLOAT, k, 1, 1, nelements, r_4tab_+(k-1)*nelements, &status);
@@ -1554,5 +1557,5 @@
       break;
     case TINT :
-      for (int k=1; k<=tfields; k++)
+      for (k=1; k<=tfields; k++)
 	{
 	  fits_write_col(fptr, TINT, k, 1, 1, nelements, i_4tab_+(k-1)*nelements, &status);
@@ -1869,4 +1872,5 @@
   // le type suppose par l'utilisateur de fitsioserver 
   // 
+  int k;
   switch ( FITS_tab_typ_) 
     {
@@ -1879,5 +1883,5 @@
       if (r_8tab_ != NULL) { delete [] r_8tab_;  r_8tab_ = NULL; }
       r_8tab_=new r_8[ tfields*npixels];
-      for (int k=1; k<=tfields; k++)
+      for (k=1; k<=tfields; k++)
 	{
 	  fits_read_col(fptr, TDOUBLE, k, 1, 1, npixels,  &dnullval, 
@@ -1896,5 +1900,5 @@
       if (r_4tab_ != NULL) { delete [] r_4tab_;  r_4tab_ = NULL; }
       r_4tab_=new r_4[ tfields*npixels];
-      for (int k=1; k<=tfields; k++)
+      for (k=1; k<=tfields; k++)
 	{
 	  fits_read_col(fptr, TFLOAT, k, 1, 1, npixels,  &fnullval, 
@@ -1913,5 +1917,5 @@
       if (i_4tab_ != NULL) { delete [] i_4tab_;  i_4tab_ = NULL; }
       i_4tab_=new int_4[ tfields*npixels];
-      for (int k=1; k<=tfields; k++)
+      for (k=1; k<=tfields; k++)
 	{
 	  fits_read_col(fptr, TLONG, k, 1, 1, npixels,  &inullval, 
Index: /trunk/SophyaExt/FitsIOServer/fitsntuple.cc
===================================================================
--- /trunk/SophyaExt/FitsIOServer/fitsntuple.cc	(revision 922)
+++ /trunk/SophyaExt/FitsIOServer/fitsntuple.cc	(revision 923)
@@ -57,9 +57,10 @@
   nbcols = fn.NbColsFromFits();
   nbentries = 0;
-  for (int k=0; k<nbcols; k++) nbentries=max( nbentries, fn.NentriesFromFits(k) );
+  int k;
+  for (k=0; k<nbcols; k++) nbentries=max( nbentries, fn.NentriesFromFits(k) );
   
   char ** ColName = new char*[nbcols];
   
-  for (int k=0; k<nbcols;k++) 
+  for (k=0; k<nbcols;k++) 
     {
       ColName[k] = new char[LONNOM1]; 
@@ -67,5 +68,5 @@
       ColName[k][LONNOM] =  '\0';
     }
-  for (int k=0; k<nbcols;k++)
+  for (k=0; k<nbcols;k++)
     {
       char ss= fn.ColTypeFromFits(k);
@@ -93,5 +94,5 @@
       (*dobj_) = NTuple(nbcols,ColName);
     }
-  for (int k=0; k<nbcols;k++) 
+  for (k=0; k<nbcols;k++) 
     {
       delete [] ColName[k];
@@ -104,8 +105,8 @@
   // (SetVal suppose que le ntuple est deja dimensionne)
   r_4* ligne = new r_4[nbcols];
-    for (int k=0; k<nbcols; k++) ligne[k]=0.;
-    for (int k=0; k<nbentries;k++) dobj_->Fill(ligne);
+    for (k=0; k<nbcols; k++) ligne[k]=0.;
+    for (k=0; k<nbentries;k++) dobj_->Fill(ligne);
     delete [] ligne;
-  for (int k=0; k<nbcols;k++) 
+  for (k=0; k<nbcols;k++) 
     {
       fn.GetBinTabFCol(column_, nbentries, k);
@@ -135,5 +136,6 @@
 
   char** Noms = new char*[ncols];   
-  for (int k=0; k< ncols; k++)
+  int k;
+  for (k=0; k< ncols; k++)
     {
       Noms[k]= new char[LONNOM1];
@@ -142,9 +144,9 @@
   // la librairie fitsio ecrit colonne par colonne 
   char* type= new char[ncols+1];
-  for (int k=0;k<ncols+1;k++) type[k]='E';
+  for (k=0;k<ncols+1;k++) type[k]='E';
   type[ncols]='\0';
   vector<int> dummy;
   fn.makeHeaderBntblOnFits(type,Noms, nentries, ncols, dvl, extname, dummy);
-   for (int k=0; k< ncols; k++)
+   for (k=0; k< ncols; k++)
     {
       delete [] Noms[k];
@@ -152,5 +154,5 @@
    delete [] Noms;
    delete [] type;
-   for (int k=0; k<ncols;k++) putColToFits(k, nentries, getColFromObj(k));
+   for (k=0; k<ncols;k++) putColToFits(k, nentries, getColFromObj(k));
 
 }
Index: /trunk/SophyaExt/FitsIOServer/fitstarray.cc
===================================================================
--- /trunk/SophyaExt/FitsIOServer/fitstarray.cc	(revision 922)
+++ /trunk/SophyaExt/FitsIOServer/fitstarray.cc	(revision 923)
@@ -101,5 +101,6 @@
   cout << "FITS_TARRAY: nombre de dimension du tableau a ecrire: " << nbdim << endl;
   int* naxisn = new int[nbdim];
-  for (int k=0; k< nbdim; k++)
+  int k;
+  for (k=0; k< nbdim; k++)
     {
       naxisn[k] = dobj_->Size(k);
@@ -119,5 +120,5 @@
 
   int nbels = 1;
-  for (int k=0; k< nbdim; k++) 
+  for (k=0; k< nbdim; k++) 
     {
       if (naxisn[k] > 0) nbels *= naxisn[k];
Index: /trunk/SophyaExt/FitsIOServer/fitsxntuple.cc
===================================================================
--- /trunk/SophyaExt/FitsIOServer/fitsxntuple.cc	(revision 922)
+++ /trunk/SophyaExt/FitsIOServer/fitsxntuple.cc	(revision 923)
@@ -74,5 +74,6 @@
   nbcols = fn.NbColsFromFits();
   nbentries = 0;
-  for (int k=0; k<nbcols; k++) nbentries=max( nbentries, fn.NentriesFromFits(k) );
+  int k;
+  for (k=0; k<nbcols; k++) nbentries=max( nbentries, fn.NentriesFromFits(k) );
 
   //
@@ -88,5 +89,5 @@
   vector<int> IfitsCol;
   vector<int> SfitsCol;
-  for (int k=0; k<nbcols;k++)
+  for (k=0; k<nbcols;k++)
     {
       char ss= fn.ColTypeFromFits(k);
@@ -102,5 +103,5 @@
   char ** ColName = new char*[nbcols];
   int compt=0;
-  for (int k=0; k<DfitsCol.size(); k++)
+  for (k=0; k<DfitsCol.size(); k++)
     {
       ColName[compt] = new char[LONNOM+1]; 
@@ -108,5 +109,5 @@
       ColName[compt++][ LONNOM] =  '\0';
     }
-  for (int k=0; k<FfitsCol.size(); k++)
+  for (k=0; k<FfitsCol.size(); k++)
     {
       ColName[compt] = new char[LONNOM+1]; 
@@ -114,5 +115,5 @@
       ColName[compt++][ LONNOM] =  '\0';
     }
-  for (int k=0; k<IfitsCol.size(); k++)
+  for (k=0; k<IfitsCol.size(); k++)
     {
       ColName[compt] = new char[LONNOM+1]; 
@@ -120,5 +121,5 @@
       ColName[compt++][ LONNOM] =  '\0';
     }
-  for (int k=0; k<SfitsCol.size(); k++)
+  for (k=0; k<SfitsCol.size(); k++)
     {
       ColName[compt] = new char[LONNOM+1]; 
@@ -138,5 +139,5 @@
       (*dobj_)= XNTuple(DfitsCol.size(), FfitsCol.size(), IfitsCol.size(), SfitsCol.size(),ColName);
     }
-  for (int k=0; k<nbcols;k++) 
+  for (k=0; k<nbcols;k++) 
     {
       delete [] ColName[k];
@@ -155,5 +156,5 @@
       dcolumn_ = new double[nbentries];
       dligne = new r_8[DfitsCol.size()];
-      for (int k=0; k<DfitsCol.size(); k++) dligne[k]=0.;
+      for (k=0; k<DfitsCol.size(); k++) dligne[k]=0.;
     }
   else dligne=NULL;
@@ -163,5 +164,5 @@
       fcolumn_ = new float[nbentries];
       fligne = new r_4[FfitsCol.size()];
-      for (int k=0; k<FfitsCol.size(); k++) fligne[k]=0.;
+      for (k=0; k<FfitsCol.size(); k++) fligne[k]=0.;
     }
   else fligne=NULL;
@@ -171,5 +172,5 @@
       icolumn_ = new int[nbentries];
       iligne = new int_4[IfitsCol.size()];
-      for (int k=0; k<IfitsCol.size(); k++) iligne[k]=0;
+      for (k=0; k<IfitsCol.size(); k++) iligne[k]=0;
     } 
   else iligne=NULL;
@@ -178,5 +179,5 @@
       if (ccolumn_ != NULL)
 	{
-	  for (int k=0; k<dobj_->NEntry(); k++) delete [] ccolumn_[k];
+	  for (k=0; k<dobj_->NEntry(); k++) delete [] ccolumn_[k];
 	  delete [] ccolumn_;
 	  ccolumn_ = NULL;
@@ -184,20 +185,20 @@
       ccolumn_ = new char*[nbentries];
       int  taille_des_chaines=0;
-      for (int k=0; k< SfitsCol.size(); k++)  taille_des_chaines = max( taille_des_chaines, fn.ColStringLengthFromFits(SfitsCol[k]) );
-      for (int k=0; k<nbentries;k++) ccolumn_[k]= new char[taille_des_chaines+1];
+      for (k=0; k< SfitsCol.size(); k++)  taille_des_chaines = max( taille_des_chaines, fn.ColStringLengthFromFits(SfitsCol[k]) );
+      for (k=0; k<nbentries;k++) ccolumn_[k]= new char[taille_des_chaines+1];
       cligne = new char*[SfitsCol.size()];
-      for (int k=0; k<SfitsCol.size(); k++) cligne[k]=" ";
+      for (k=0; k<SfitsCol.size(); k++) cligne[k]=" ";
     }
   else cligne=NULL;
 
-  for (int k=0; k<nbentries;k++) dobj_->Fill(dligne, fligne, iligne, cligne);
+  for (k=0; k<nbentries;k++) dobj_->Fill(dligne, fligne, iligne, cligne);
   delete [] dligne;
   delete [] fligne;
   delete [] iligne;
-  for (int k=0; k< SfitsCol.size(); k++) delete []  cligne[k];
+  for (k=0; k< SfitsCol.size(); k++) delete []  cligne[k];
   delete [] cligne; 
    
   compt=0;
-  for (int k=0; k<DfitsCol.size(); k++)
+  for (k=0; k<DfitsCol.size(); k++)
     {
       fn.GetBinTabFCol(dcolumn_, nbentries, DfitsCol[k]);
@@ -206,5 +207,5 @@
     }
   
-  for (int k=0; k<FfitsCol.size(); k++)
+  for (k=0; k<FfitsCol.size(); k++)
     {
       fn.GetBinTabFCol(fcolumn_,nbentries, FfitsCol[k]);
@@ -213,5 +214,5 @@
     }
               
-  for (int k=0; k<IfitsCol.size(); k++)
+  for (k=0; k<IfitsCol.size(); k++)
     {
       fn.GetBinTabFCol(icolumn_,nbentries, IfitsCol[k]);
@@ -220,5 +221,5 @@
     }
   
-  for (int k=0; k<SfitsCol.size(); k++)
+  for (k=0; k<SfitsCol.size(); k++)
     {
       fn.GetBinTabFCol(ccolumn_,nbentries, SfitsCol[k]);
@@ -247,5 +248,6 @@
   dvl.Print();
   char** Noms = new char*[ncols];   
-  for (int k=0; k< ncols; k++)
+  int k;
+  for (k=0; k< ncols; k++)
     {
       Noms[k]= new char[LONNOM+1];
@@ -254,17 +256,17 @@
    char* types=new char[ncols+1];
   int compt=0;
-  for (int k=0; k<dobj_->NDVar();k++)
+  for (k=0; k<dobj_->NDVar();k++)
     {
       types[compt++]='D'; 
     }
-  for (int k=0; k<dobj_->NFVar();k++)
+  for (k=0; k<dobj_->NFVar();k++)
     {
       types[compt++]='E'; 
     }
-  for (int k=0; k<dobj_->NIVar();k++)
+  for (k=0; k<dobj_->NIVar();k++)
     {
       types[compt++]='I'; 
     }
-  for (int k=0; k<dobj_->NSVar();k++)
+  for (k=0; k<dobj_->NSVar();k++)
     {
       types[compt++]='A'; 
@@ -272,8 +274,8 @@
   types[ncols]='\0';
   vector<int> StringSizes(dobj_->NSVar());
-  for (int k=0; k< StringSizes.size(); k++) StringSizes[k]=dobj_->mStrSz;
+  for (k=0; k< StringSizes.size(); k++) StringSizes[k]=dobj_->mStrSz;
   // la librairie fitsio ecrit colonne par colonne 
     fn.makeHeaderBntblOnFits(types, Noms, nrows, ncols, dvl, extname,StringSizes); 
-   for (int k=0; k< ncols; k++)
+   for (k=0; k< ncols; k++)
     {
       delete [] Noms[k];
@@ -282,20 +284,20 @@
    delete [] types;
   compt=0;  
-  for (int k=0; k<dobj_->NDVar();k++)
+  for (k=0; k<dobj_->NDVar();k++)
     {
       putColToFits(compt, dobj_->NEntry(), getColDFromObj(compt));
       compt++;
     }
-  for (int k=0; k<dobj_->NFVar();k++)
+  for (k=0; k<dobj_->NFVar();k++)
     {
       putColToFits(compt, dobj_->NEntry(), getColFFromObj(compt));
       compt++;
     }
-  for (int k=0; k<dobj_->NIVar();k++)
+  for (k=0; k<dobj_->NIVar();k++)
     {
       putColToFits(compt, dobj_->NEntry(), getColIFromObj(compt));
       compt++;
     }
-  for (int k=0; k<dobj_->NSVar();k++)
+  for (k=0; k<dobj_->NSVar();k++)
     {
       putColToFits(compt, dobj_->NEntry(), getColSFromObj(compt));