Index: trunk/SophyaLib/NTools/fct1dfit.cc
===================================================================
--- trunk/SophyaLib/NTools/fct1dfit.cc	(revision 514)
+++ trunk/SophyaLib/NTools/fct1dfit.cc	(revision 926)
@@ -18,38 +18,22 @@
 
 /////////////////////////////////////////////////////////////////
-//++ 
-// Module	Classes de fonctions 1D
-// Lib	Outils++ 
-// include	fct1dfit.h
-//--
-/////////////////////////////////////////////////////////////////
-
-/////////////////////////////////////////////////////////////////
-//++
-// Titre	Gauss1DPol
-// \index{Gauss1DPol}
-//
-//|  Gaussienne+polynome:
-//|  Si polcenter=true: xc=(x-par[1]), sinon xc=x
-//|  f(x) = par[0]*exp[-0.5*( (x-par[1]) / par[2] )**2 ]
-//|        +par[3] + par[4]*xc + .... + par[3+NDegPol]*xc**NDegPol
-//|  NDegPol = degre du polynome, si <0 pas de polynome
-//--
-/////////////////////////////////////////////////////////////////
-
-//++
+/*!
+  \class SOPHYA::Gauss1DPol
+  \ingroup NTools
+  \anchor Gauss1DPol
+  \verbatim
+     Gaussienne+polynome:
+     Si polcenter=true: xc=(x-par[1]), sinon xc=x
+     f(x) = par[0]*exp[-0.5*( (x-par[1]) / par[2] )**2 ]
+           +par[3] + par[4]*xc + .... + par[3+NDegPol]*xc**NDegPol
+     NDegPol = degre du polynome, si <0 pas de polynome
+  \endverbatim
+*/
 Gauss1DPol::Gauss1DPol(unsigned int ndegpol,bool polcenter)
-//
-//	Createur.
-//--
 : GeneralFunction(1,ndegpol+4), NDegPol(ndegpol), PolCenter(polcenter)
 {
 }
 
-//++
 Gauss1DPol::Gauss1DPol(bool polcenter)
-//
-//	Createur.
-//--
 : GeneralFunction(1,3), NDegPol(-1), PolCenter(polcenter)
 {
@@ -107,30 +91,22 @@
 
 /////////////////////////////////////////////////////////////////
-//++
-// Titre	GaussN1DPol
-// \index{GaussN1DPol}
-//
-//| Gaussienne_Normalisee+polynome (par[0]=Volume:
-//|  Si polcenter=true: xc=(x-par[1]), sinon xc=x
-//|  f(x) = par[0]/(sqrt(2*Pi)*par[2])*exp[-0.5*((x-par[1])/par[2])**2 ]
-//|        +par[3] + par[4]*xc + .... + par[3+NDegPol]*xc**NDegPol
-//|  NDegPol = degre du polynome, si <0 pas de polynome
-//--
-/////////////////////////////////////////////////////////////////
-
-//++
+/*!
+  \class SOPHYA::GaussN1DPol
+  \ingroup NTools
+  \anchor GaussN1DPol
+  \verbatim
+    Gaussienne_Normalisee+polynome (par[0]=Volume:
+     Si polcenter=true: xc=(x-par[1]), sinon xc=x
+     f(x) = par[0]/(sqrt(2*Pi)*par[2])*exp[-0.5*((x-par[1])/par[2])**2 ]
+           +par[3] + par[4]*xc + .... + par[3+NDegPol]*xc**NDegPol
+     NDegPol = degre du polynome, si <0 pas de polynome
+  \endverbatim
+*/
 GaussN1DPol::GaussN1DPol(unsigned int ndegpol,bool polcenter)
-//
-//	Createur.
-//--
 : GeneralFunction(1,ndegpol+4), NDegPol(ndegpol), PolCenter(polcenter)
 {
 }
 
-//++
 GaussN1DPol::GaussN1DPol(bool polcenter)
-//
-//	Createur.
-//--
 : GeneralFunction(1,3), NDegPol(-1), PolCenter(polcenter)
 {
@@ -189,30 +165,22 @@
 
 /////////////////////////////////////////////////////////////////
-//++
-// Titre	Exp1DPol
-// \index{Exp1DPol}
-//
-//|  Exponentielle+polynome:
-//|  xx = x - X_Center
-//|  f(x) = exp[par[0]+par[1]*xx]
-//|        +par[2] + par[3]*xx + .... + par[2+NDegPol]*xx**NDegPol
-//|  NDegPol = degre du polynome, si <0 pas de polynome
-//--
-/////////////////////////////////////////////////////////////////
-
-//++
+/*!
+  \class SOPHYA::Exp1DPol
+  \ingroup NTools
+  \anchor Exp1DPol
+  \verbatim
+     Exponentielle+polynome:
+     xx = x - X_Center
+     f(x) = exp[par[0]+par[1]*xx]
+           +par[2] + par[3]*xx + .... + par[2+NDegPol]*xx**NDegPol
+     NDegPol = degre du polynome, si <0 pas de polynome
+  \endverbatim
+*/
 Exp1DPol::Exp1DPol(unsigned int ndegpol,double x0)
-//
-//	Createur.
-//--
 : GeneralFunction(1,ndegpol+3), NDegPol(ndegpol), X_Center(x0)
 {
 }
 
-//++
 Exp1DPol::Exp1DPol(double x0)
-//
-//	Createur.
-//--
 : GeneralFunction(1,2), NDegPol(-1), X_Center(x0)
 {
@@ -259,20 +227,16 @@
 
 /////////////////////////////////////////////////////////////////
-//++
-// Titre	Polyn1D
-// \index{Polyn1D}
-//
-//| polynome 1D:
-//|  xx = x - X_Center
-//|  f(x) = par[0] + par[1]*xx + .... + par[NDegPol+1]*xx**NDegPol
-//|  NDegPol = degre du polynome
-//--
-/////////////////////////////////////////////////////////////////
-
-//++
+/*!
+  \class SOPHYA::Polyn1D
+  \ingroup NTools
+  \anchor Polyn1D
+  \verbatim
+    polynome 1D:
+     xx = x - X_Center
+     f(x) = par[0] + par[1]*xx + .... + par[NDegPol+1]*xx**NDegPol
+     NDegPol = degre du polynome
+  \endverbatim
+*/
 Polyn1D::Polyn1D(unsigned int ndegpol,double x0)
-//
-//	Createur.
-//--
 : GeneralFunction(1,ndegpol+1), NDegPol(ndegpol), X_Center(x0)
 {
@@ -309,39 +273,33 @@
 
 /////////////////////////////////////////////////////////////////
-//++
-// Titre	HarmonieNu
-// \index{HarmonieNu}
-//
-//| Analyse harmonique:
-//|  f(t) = par(1) + Sum[par(2k)  *cos(2*pi*k*par(0)*(t-t0)]
-//|                + Sum[par(2k+1)*sin(2*pi*k*par(0)*(t-t0)]
-//|  la somme Sum porte sur l'indice k qui varie de [1,NHarm()+1]
-//|  avec la convention   k=1  pour le fondamental
-//|                       k>1  pour le (k-1)ieme harmonique
-//--
-//++
-//|  par(0) = inverse de la periode (frequence)
-//|  par(1) = terme constant
-//|  par(2), par(3) = termes devant le cosinus et le sinus
-//|                   du fondamental
-//|  par(2(m+1)), par(2(m+1)+1) = termes devant le cosinus
-//|                   et le sinus de l'harmonique m (m>=1).
-//|  NHarm() = nombre d'harmoniques a fitter.
-//|  T0() = centrage des temps, ce n'est pas un parametre du fit.
-//	`Conseil:' Avant de faire un fit avec les `NHarm()'
-//	harmoniques, il est preferable de faire un pre-fit
-//	ou seuls les parametres 1,2 et 3 sont libres et d'injecter
-//	le resultat du fit sur ces 3 parametres comme valeurs
-//	de depart pour le fit global avec les `NHarm()' harmoniques.
-//	De toute facon, le fit ne marchera que si la periode
-//	est initialisee de facon tres precise.
-//--
-/////////////////////////////////////////////////////////////////
-
-//++
+/*!
+  \class SOPHYA::HarmonieNu
+  \ingroup NTools
+  \anchor HarmonieNu
+  \verbatim
+    Analyse harmonique:
+     f(t) = par(1) + Sum[par(2k)  *cos(2*pi*k*par(0)*(t-t0)]
+                   + Sum[par(2k+1)*sin(2*pi*k*par(0)*(t-t0)]
+     la somme Sum porte sur l'indice k qui varie de [1,NHarm()+1]
+     avec la convention   k=1  pour le fondamental
+                          k>1  pour le (k-1)ieme harmonique
+     par(0) = inverse de la periode (frequence)
+     par(1) = terme constant
+     par(2), par(3) = termes devant le cosinus et le sinus
+                      du fondamental
+     par(2(m+1)), par(2(m+1)+1) = termes devant le cosinus
+                      et le sinus de l'harmonique m (m>=1).
+     NHarm() = nombre d'harmoniques a fitter.
+     T0() = centrage des temps, ce n'est pas un parametre du fit.
+   	`Conseil:' Avant de faire un fit avec les `NHarm()'
+   	harmoniques, il est preferable de faire un pre-fit
+   	ou seuls les parametres 1,2 et 3 sont libres et d'injecter
+   	le resultat du fit sur ces 3 parametres comme valeurs
+   	de depart pour le fit global avec les `NHarm()' harmoniques.
+   	De toute facon, le fit ne marchera que si la periode
+   	est initialisee de facon tres precise.
+  \endverbatim
+*/
 HarmonieNu::HarmonieNu(unsigned int nharm,double t0)
-//
-//	Createur.
-//--
 : GeneralFunction(1,4+2*nharm), NHarm(nharm), T0(t0)
 {
@@ -384,32 +342,26 @@
 
 /////////////////////////////////////////////////////////////////
-//++
-// Titre	HarmonieT
-// \index{HarmonieT}
-//
-//| Analyse harmonique:
-//|  f(t) = par(1) + Sum[par(2k)  *cos(2*pi*k*(t-t0)/par(0)]
-//|                + Sum[par(2k+1)*sin(2*pi*k*(t-t0)/par(0)]
-//|  la somme Sum porte sur l'indice k qui varie de [1,NHarm()+1]
-//|  avec la convention   k=1  pour le fondamental
-//|                       k>1  pour le (k-1)ieme harmonique
-//--
-//++
-//|  par(0) = periode
-//|  par(1) = terme constant
-//|  par(2), par(3) = termes devant le cosinus et le sinus
-//|                   du fondamental
-//|  par(2(m+1)), par(2(m+1)+1) = termes devant le cosinus
-//|                   et le sinus de l'harmonique m (m>=1).
-//|  NHarm() = nombre d'harmoniques a fitter.
-//|  T0() = centrage des temps, ce n'est pas un parametre du fit.
-//--
-/////////////////////////////////////////////////////////////////
-
-//++
+/*!
+  \class SOPHYA::HarmonieT
+  \ingroup NTools
+  \anchor HarmonieT
+  \verbatim
+    Analyse harmonique:
+     f(t) = par(1) + Sum[par(2k)  *cos(2*pi*k*(t-t0)/par(0)]
+                   + Sum[par(2k+1)*sin(2*pi*k*(t-t0)/par(0)]
+     la somme Sum porte sur l'indice k qui varie de [1,NHarm()+1]
+     avec la convention   k=1  pour le fondamental
+                          k>1  pour le (k-1)ieme harmonique
+     par(0) = periode
+     par(1) = terme constant
+     par(2), par(3) = termes devant le cosinus et le sinus
+                      du fondamental
+     par(2(m+1)), par(2(m+1)+1) = termes devant le cosinus
+                      et le sinus de l'harmonique m (m>=1).
+     NHarm() = nombre d'harmoniques a fitter.
+     T0() = centrage des temps, ce n'est pas un parametre du fit.
+  \endverbatim
+*/
 HarmonieT::HarmonieT(unsigned int nharm,double t0)
-//
-//	Createur.
-//--
 : GeneralFunction(1,4+2*nharm), NHarm(nharm), T0(t0)
 {
@@ -455,41 +407,29 @@
 
 /////////////////////////////////////////////////////////////////
-//++ 
-// Module	Classes de fonctions 2D
-// Lib	Outils++ 
-// include	fct1dfit.h
-//--
-/////////////////////////////////////////////////////////////////
-
-/////////////////////////////////////////////////////////////////
-//++
-// Titre	Polyn2D
-// \index{Polyn2D}
-//
-//| polynome 2D de degre total degre:
-//|  NDegPol = degre du polynome (note N dans la suite)
-//|  x = x - X_Center,  y = y - Y_Center
-//|  f(x,y) = p[0] +sum(k=1,n){ sum(i=0,k){ p[ki]*x^i*y^(k-i) }}
-//|  Il y a k+1 termes de degre k  (ex: x^i*y^(k-i))
-//|  terme de degre k avec x^i: p[ki] avec  ki = k*(k+1)/2 + i
-//| C'est a dire:
-//| deg0:   p0
-//| deg1: + p1*y + p2*x
-//| deg2: + p3*y^2 + p4*x*y + p5*x^2
-//| deg3: + p6*y^3 + p7*x*y^2 + p8*x^2*y + p9*x^3
-//| deg4: + p10*y^4 + p11*x*y^3 + p12*x^2*y^2 + p13*x^3*y + p14*x^4
-//| deg5: + p15*y^5 + ...                       ... + ... + p20*x^5
-//| ...
-//| degk: + p[k*(k+1)/2]*y^k + ...           ... + p[k*(k+3)/2]*x^k
-//| ...
-//| degn: + p[n*(n+1)/2]*y^n + ...           ... + p[n*(n+3)/2]*x^n
-//--
-/////////////////////////////////////////////////////////////////
-
-//++
+/*!
+  \class SOPHYA::Polyn2D
+  \ingroup NTools
+  \anchor Polyn2D
+  \verbatim
+    polynome 2D de degre total degre:
+     NDegPol = degre du polynome (note N dans la suite)
+     x = x - X_Center,  y = y - Y_Center
+     f(x,y) = p[0] +sum(k=1,n){ sum(i=0,k){ p[ki]*x^i*y^(k-i) }}
+     Il y a k+1 termes de degre k  (ex: x^i*y^(k-i))
+     terme de degre k avec x^i: p[ki] avec  ki = k*(k+1)/2 + i
+    C'est a dire:
+    deg0:   p0
+    deg1: + p1*y + p2*x
+    deg2: + p3*y^2 + p4*x*y + p5*x^2
+    deg3: + p6*y^3 + p7*x*y^2 + p8*x^2*y + p9*x^3
+    deg4: + p10*y^4 + p11*x*y^3 + p12*x^2*y^2 + p13*x^3*y + p14*x^4
+    deg5: + p15*y^5 + ...                       ... + ... + p20*x^5
+    ...
+    degk: + p[k*(k+1)/2]*y^k + ...           ... + p[k*(k+3)/2]*x^k
+    ...
+    degn: + p[n*(n+1)/2]*y^n + ...           ... + p[n*(n+3)/2]*x^n
+  \endverbatim
+*/
 Polyn2D::Polyn2D(unsigned int ndegpol,double x0,double y0)
-//
-//	Createur.
-//--
 : GeneralFunction(2,ndegpol*(ndegpol+3)/2+1), NDegPol(ndegpol), X_Center(x0), Y_Center(y0)
 {