Index: /trunk/SophyaLib/SkyT/blackbody.cc
===================================================================
--- /trunk/SophyaLib/SkyT/blackbody.cc	(revision 926)
+++ /trunk/SophyaLib/SkyT/blackbody.cc	(revision 927)
@@ -1,5 +1,5 @@
 //--------------------------------------------------------------------------
 // File and Version Information:
-//      $Id: blackbody.cc,v 1.5 2000-04-13 14:10:43 ansari Exp $
+//      $Id: blackbody.cc,v 1.6 2000-04-14 07:28:11 ansari Exp $
 //
 // Description:
@@ -21,5 +21,6 @@
 
 /*! 
- * \class SOPHYA::BlackBody <BR>
+ * \class SOPHYA::BlackBody 
+ \ingroup SkyT
  This class corresponds to the emission spectrum of a
  blackbody radiation.
Index: /trunk/SophyaLib/SkyT/convtools.cc
===================================================================
--- /trunk/SophyaLib/SkyT/convtools.cc	(revision 926)
+++ /trunk/SophyaLib/SkyT/convtools.cc	(revision 927)
@@ -1,5 +1,5 @@
 //--------------------------------------------------------------------------
 // File and Version Information:
-//      $Id: convtools.cc,v 1.2 1999-11-20 21:00:48 ansari Exp $
+//      $Id: convtools.cc,v 1.3 2000-04-14 07:28:12 ansari Exp $
 //
 // Description:
@@ -12,9 +12,13 @@
 #include "convtools.h"
 
+/*! \class SOPHYA::ConvTools
+ * \ingroup SkyT
+ * Definition of usual usefull constants
+ */
 // Boltzman constant  J/K
 double ConvTools::kb =  1.380662e-23;     
 // Mean value of the cmb temperature (K)
 double ConvTools::tcmb=2.728;
-// constante de Planck en Js
+// Planck constant in  Js
 double ConvTools::hpl=6.626176e-34;   
 // Light speed  PDG 1992 m/s
Index: /trunk/SophyaLib/SkyT/derivblackbody.cc
===================================================================
--- /trunk/SophyaLib/SkyT/derivblackbody.cc	(revision 926)
+++ /trunk/SophyaLib/SkyT/derivblackbody.cc	(revision 927)
@@ -1,5 +1,5 @@
 //--------------------------------------------------------------------------
 // File and Version Information:
-//      $Id: derivblackbody.cc,v 1.3 2000-04-13 14:10:44 ansari Exp $
+//      $Id: derivblackbody.cc,v 1.4 2000-04-14 07:28:12 ansari Exp $
 //
 // Description:
@@ -22,5 +22,6 @@
 
 
-/*! \class SOPHYA::DerivBlackBody <BR>
+/*! \class SOPHYA::DerivBlackBody 
+  \ingroup SkyT
  * This class corresponds to the emission spectrum of a
  * dipole (since its emission spectrum is the derivation
Index: /trunk/SophyaLib/SkyT/gaussfilt.cc
===================================================================
--- /trunk/SophyaLib/SkyT/gaussfilt.cc	(revision 926)
+++ /trunk/SophyaLib/SkyT/gaussfilt.cc	(revision 927)
@@ -1,5 +1,5 @@
 //--------------------------------------------------------------------------
 // File and Version Information:
-//      $Id: gaussfilt.cc,v 1.5 2000-04-13 14:10:44 ansari Exp $
+//      $Id: gaussfilt.cc,v 1.6 2000-04-14 07:28:12 ansari Exp $
 //
 // Description:
@@ -21,4 +21,5 @@
 /*! 
  * \class SOPHYA::GaussianFilter
+ * \ingroup SkyT
  * Gaussian detector response
  */
Index: /trunk/SophyaLib/SkyT/nupower.cc
===================================================================
--- /trunk/SophyaLib/SkyT/nupower.cc	(revision 926)
+++ /trunk/SophyaLib/SkyT/nupower.cc	(revision 927)
@@ -1,5 +1,5 @@
 //--------------------------------------------------------------------------
 // File and Version Information:
-//      $Id: nupower.cc,v 1.6 2000-04-13 14:10:44 ansari Exp $
+//      $Id: nupower.cc,v 1.7 2000-04-14 07:28:12 ansari Exp $
 //
 // Description:
@@ -23,5 +23,6 @@
 
 /*! 
- * \class SOPHYA::PowerLawSpectra <BR>
+ * \class SOPHYA::PowerLawSpectra 
+ \ingroup SkyT
  * This class corresponds to a power law radiation spectrum.
 */
Index: /trunk/SophyaLib/SkyT/radspec.cc
===================================================================
--- /trunk/SophyaLib/SkyT/radspec.cc	(revision 926)
+++ /trunk/SophyaLib/SkyT/radspec.cc	(revision 927)
@@ -1,5 +1,5 @@
 //--------------------------------------------------------------------------
 // File and Version Information:
-//      $Id: radspec.cc,v 1.4 2000-04-13 14:10:44 ansari Exp $
+//      $Id: radspec.cc,v 1.5 2000-04-14 07:28:13 ansari Exp $
 //
 // Description:
@@ -22,7 +22,13 @@
 #include "radspec.h"
 #include "integ.h"
-
-/*! 
- * \class SOPHYA::RadSpectra <BR>
+/*!
+   \defgroup SkyT SkyT module
+   This module contains classes and functions which define 
+   several radiation spectra and filter responses
+*/
+
+/*! 
+ * \class SOPHYA::RadSpectra
+ * \ingroup SkyT
  * This class is an abstract base class for radiation emission spectra. The flux() function returns the value of the flux (the spectral      <BR>
  * energy distribution) as a function of the frequency.  As in the SpectralResponse class, the () operator has been redefined <BR>
Index: /trunk/SophyaLib/SkyT/radspecvector.cc
===================================================================
--- /trunk/SophyaLib/SkyT/radspecvector.cc	(revision 926)
+++ /trunk/SophyaLib/SkyT/radspecvector.cc	(revision 927)
@@ -1,5 +1,5 @@
 //--------------------------------------------------------------------------
 // File and Version Information:
-//      $Id: radspecvector.cc,v 1.6 2000-04-13 14:10:45 ansari Exp $
+//      $Id: radspecvector.cc,v 1.7 2000-04-14 07:28:13 ansari Exp $
 //
 // Description:
@@ -29,4 +29,5 @@
 /*! 
  * \class SOPHYA::RadSpectraVec 
+ \ingroup SkyT
  * One may define the radiation
  * spectrum with two vectors: <BR> one for the frequencies and the second for the
Index: /trunk/SophyaLib/SkyT/skyinit.cc
===================================================================
--- /trunk/SophyaLib/SkyT/skyinit.cc	(revision 926)
+++ /trunk/SophyaLib/SkyT/skyinit.cc	(revision 927)
@@ -8,4 +8,7 @@
 #include "gaussfilt.h"
 
+/*! \class SOPHYA::SkyTInitiator
+ *  \ingroup SkyT
+ */
 int SkyTInitiator::FgInit = 0;
 
Index: /trunk/SophyaLib/SkyT/specresp.cc
===================================================================
--- /trunk/SophyaLib/SkyT/specresp.cc	(revision 926)
+++ /trunk/SophyaLib/SkyT/specresp.cc	(revision 927)
@@ -1,5 +1,5 @@
 //--------------------------------------------------------------------------
 // File and Version Information:
-//      $Id: specresp.cc,v 1.4 2000-04-13 14:10:45 ansari Exp $
+//      $Id: specresp.cc,v 1.5 2000-04-14 07:28:13 ansari Exp $
 //
 // Description:
@@ -22,5 +22,6 @@
 
 /*! 
- * \class SOPHYA::SpectralResponse <BR>
+ * \class SOPHYA::SpectralResponse 
+ \ingroup SkyT
  SpectralResponse corresponds to a detector filter's
  response as a function of the frequency.
Index: /trunk/SophyaLib/SkyT/specrespvector.cc
===================================================================
--- /trunk/SophyaLib/SkyT/specrespvector.cc	(revision 926)
+++ /trunk/SophyaLib/SkyT/specrespvector.cc	(revision 927)
@@ -1,5 +1,5 @@
 //--------------------------------------------------------------------------
 // File and Version Information:
-//      $Id: specrespvector.cc,v 1.7 2000-04-13 14:10:45 ansari Exp $
+//      $Id: specrespvector.cc,v 1.8 2000-04-14 07:28:14 ansari Exp $
 //
 // Description:
@@ -28,4 +28,5 @@
 /*! 
  * \class SOPHYA::SpecRespVec
+ \ingroup SkyT
  One may also want to defined the filter of a detector by two vectors:
  one for the frequencies and one for the corresponding transmission values.
Index: /trunk/SophyaLib/SkyT/squarefilt.cc
===================================================================
--- /trunk/SophyaLib/SkyT/squarefilt.cc	(revision 926)
+++ /trunk/SophyaLib/SkyT/squarefilt.cc	(revision 927)
@@ -1,5 +1,5 @@
 //--------------------------------------------------------------------------
 // File and Version Information:
-//      $Id: squarefilt.cc,v 1.5 2000-04-13 14:10:45 ansari Exp $
+//      $Id: squarefilt.cc,v 1.6 2000-04-14 07:28:14 ansari Exp $
 //
 // Description:
@@ -20,4 +20,5 @@
 /*! 
  * \class SOPHYA::SquareFilter
+ \ingroup SkyT
  * Square detector response
  */
Index: /trunk/SophyaLib/SkyT/trianglefilt.cc
===================================================================
--- /trunk/SophyaLib/SkyT/trianglefilt.cc	(revision 926)
+++ /trunk/SophyaLib/SkyT/trianglefilt.cc	(revision 927)
@@ -1,5 +1,5 @@
 //--------------------------------------------------------------------------
 // File and Version Information:
-//      $Id: trianglefilt.cc,v 1.5 2000-04-13 14:10:46 ansari Exp $
+//      $Id: trianglefilt.cc,v 1.6 2000-04-14 07:28:14 ansari Exp $
 //
 // Description:
@@ -23,4 +23,5 @@
 /*! 
  * \class SOPHYA::TriangleFilter
+ \ingroup SkyT
  * triangle detector response
  */