Index: /trunk/SophyaLib/TArray/sopemtx.cc
===================================================================
--- /trunk/SophyaLib/TArray/sopemtx.cc	(revision 934)
+++ /trunk/SophyaLib/TArray/sopemtx.cc	(revision 935)
@@ -110,5 +110,8 @@
 
 
-//! Multiply two TMatrixRC
+//! Scalar product of two TMatrixRC
+/*!
+  \return sum[ a(i) * b(i) ]
+ */
 template <class T>
 inline T operator * (const TMatrixRC<T>& a, const TMatrixRC<T>& b)
@@ -123,5 +126,9 @@
   }
 
-//! Get the step in datas for a TMatrix for type rckind (line/col/diag)
+//! Get the step in datas for a TMatrix for type rckind
+/*!
+  \param rckind : line, column or diagonal
+  \return step in TMatrix along TMatrixRC
+ */
 template <class T>
 inline uint_4 TMatrixRC<T>::Step(const TMatrix<T>& m, TRCKind rckind)
@@ -131,6 +138,12 @@
     return 0; }
 
-/*! Get the origin of datas for a TMatrix for type rckind and
-  number index (line/col/diag). ex: origine for line "index". */
+//! Get the origin of datas.
+/*!
+  Get the origin of datas in the TMatrix for a TMatrixRC for type
+  \b rckind and index \b index .
+  \param rckind : line, column or diagonal
+  \param index : index of the line or column.
+  \return adress of the first element in datas.
+ */
 template <class T>
 inline T* TMatrixRC<T>::Org(const TMatrix<T>& m, TRCKind rckind, uint_4 index)
@@ -156,5 +169,5 @@
 
 ////////////////////////////////////////////////////////////////
-//! Typedef to simplifier TMatrixRC<r_8>
+//! Typedef to simplify TMatrixRC<r_8> writing
 typedef TMatrixRC<r_8> MatrixRC;
 
@@ -428,6 +441,8 @@
 //! Gaussian pivoting
 /*!
-  Diagonalize matrix \b a, doing the same opreations on matrix \b b
-  \return determinat of \b a
+  Diagonalize matrix \b a, doing the same operations on matrix \b b
+  \return determinat of \b a.
+
+  If \b b is identity matrix, return inverse of \b a
  */  
 template <class T>
@@ -712,2 +727,15 @@
 template class SimpleMatrixOperation< complex<r_8> >;
 #endif
+
+
+
+
+
+
+
+
+
+
+
+
+
Index: /trunk/SophyaLib/TArray/sopemtx.h
===================================================================
--- /trunk/SophyaLib/TArray/sopemtx.h	(revision 934)
+++ /trunk/SophyaLib/TArray/sopemtx.h	(revision 935)
@@ -7,21 +7,21 @@
 #include "tvector.h"
 
-// doivent imperativement reste avant le namespace SOPHYA !
+////////////////////////////////////////////////////////////////
+////////////////////////////////////////////////////////////////
+//------------------------------------------------------------//
+//                     Classe TMatrixRC                       //
+//------------------------------------------------------------//
+////////////////////////////////////////////////////////////////
+////////////////////////////////////////////////////////////////
+
+namespace SOPHYA {
+
 /*!
-  \class SOPHYA::SimpleMatrixOperation
+  \class SimpleMatrixOperation
   \ingroup TArray
   Class for simple operation on TMatrix
   \sa TMatrix TArray
   */
-/*!
-  \class SOPHYA::LinFitter
-  \ingroup TArray
-  Class for linear fitting
-  \sa TMatrix TArray
-  */
-
-namespace SOPHYA {
-
-////////////////////////////////////////////////////////////////
+
 //! Class for simple operation on TMatrix
 template <class T>
@@ -32,6 +32,20 @@
 };
 
-////////////////////////////////////////////////////////////////
+} // Fin du namespace
+
+////////////////////////////////////////////////////////////////
+////////////////////////////////////////////////////////////////
+//------------------------------------------------------------//
+//              Resolution de systemes lineaires              //
+//------------------------------------------------------------//
+////////////////////////////////////////////////////////////////
+////////////////////////////////////////////////////////////////
+
+namespace SOPHYA {
+
+//------------------------------------------------------------
 // Resolution du systeme A*C = B
+//------------------------------------------------------------
+
 //! Solve A*C = B for C in place and return determinant
 /*! \ingroup TArray \fn LinSolveInPlace */
@@ -70,6 +84,8 @@
 }
 
-////////////////////////////////////////////////////////////////
+//------------------------------------------------------------
 // Resolution du systeme A*C = B, avec C retourne dans B
+//------------------------------------------------------------
+
 //! Solve A*C = B and return C and determinant
 /*! \ingroup TArray \fn LinSolve */
@@ -108,6 +124,16 @@
 }
 
-////////////////////////////////////////////////////////////////
-// Inverse d'une matrice
+} // Fin du namespace
+
+////////////////////////////////////////////////////////////////
+////////////////////////////////////////////////////////////////
+//------------------------------------------------------------//
+//                   Inverse d'une matrice                    //
+//------------------------------------------------------------//
+////////////////////////////////////////////////////////////////
+////////////////////////////////////////////////////////////////
+
+namespace SOPHYA {
+
 //! To inverse a TMatrix
 /*! \ingroup TArray \fn Inverse */
@@ -127,7 +153,23 @@
   {return SimpleMatrixOperation< complex<r_8> >::Inverse(A);}
 
-//--------------------------------------
-//        Linear fitting 
-//--------------------------------------
+} // Fin du namespace
+
+
+////////////////////////////////////////////////////////////////
+////////////////////////////////////////////////////////////////
+//------------------------------------------------------------//
+//                   Linear fitting                           //
+//------------------------------------------------------------//
+////////////////////////////////////////////////////////////////
+////////////////////////////////////////////////////////////////
+
+namespace SOPHYA {
+
+/*!
+  \class LinFitter
+  \ingroup TArray
+  Class for linear fitting
+  \sa TMatrix TArray
+  */
 
 //!  Class for linear fitting
Index: /trunk/SophyaLib/TArray/utilarr.cc
===================================================================
--- /trunk/SophyaLib/TArray/utilarr.cc	(revision 934)
+++ /trunk/SophyaLib/TArray/utilarr.cc	(revision 935)
@@ -29,4 +29,9 @@
 
 //! Return random sequence values.
+/*!
+  \return If typ = Flat : return [-1,+1]*sig + mean
+  \return If typ = Gaussian : return gaussian distributed
+                          with \b mean mean and sigma \b sig
+ */
 double RandomSequence::Rand()
 {